org.apache.fontbox

## Interface FontBoxFont

All Known Implementing Classes:
  CFFCIDFont, CFFFont, CFFType1Font, OpenTypeFont, TrueTypeFont, Type1Font

    public interface FontBoxFont

Common interface for all FontBox fonts.

Author:
  John Hewson

### Method Summary

All Methods Instance Methods Abstract Methods
`BoundingBox` `getFontBBox()` Returns the font's bounding box in PostScript units.
`List<Number>` `getFontMatrix()` Returns the FontMatrix in PostScript units.
`String` `getName()` The PostScript name of the font.
`GeneralPath` `getPath(String name)` Returns the path for the character with the given name.
`float` `getWidth(String name)` Returns the advance width for the character with the given name.
`boolean` `hasGlyph(String name)` Returns true if the font contains the given glyph.

### Method Detail

#### getName

    String getName()
            throws IOException

The PostScript name of the font.

Throws:
  `IOException`

#### getFontBBox

    BoundingBox getFontBBox()
                     throws IOException

Returns the font's bounding box in PostScript units.

Throws:
  `IOException`

#### getFontMatrix

    List<Number> getFontMatrix()
                        throws IOException

Returns the FontMatrix in PostScript units.

Throws:
  `IOException`

#### getPath

    GeneralPath getPath(String name)
                 throws IOException

Returns the path for the character with the given name.

Returns:
  glyph path
Throws:
  `IOException` - if the path could not be read

#### getWidth

    float getWidth(String name)
            throws IOException

Returns the advance width for the character with the given name.

Returns:
  glyph advance width
Throws:
  `IOException` - if the path could not be read

#### hasGlyph

    boolean hasGlyph(String name)
              throws IOException

Returns true if the font contains the given glyph.

Parameters:
  `name` - PostScript glyph name
Throws:
  `IOException`